hero:
  image:
    url: /images/dev-survey-2019/hero.png
    alt: A spaceland with planets and multiple galaxies
  heading: '2019 Global Developer Report: DevSecOps'

introduction:
  heading: |
    Created to encourage conversation and collaboration, the Global Developer Report: DevSecOps dissects the cross-functional relationships of DevOps teams and offers insights into successful practices, problem areas, and potential solutions. 

  paragraph: |
    This year, over 4,000 respondents – across various industries, roles, and geographic locations – candidly shared their experiences, helping us uncover what software professionals require in order to innovate rapidly. 

    By uncovering best practices and unmet needs, the Global Developer Report: DevSecOps is one small step for software professionals to share their thoughts and one giant leap for IT leaders to remove roadblocks to help teams thrive and offer the strongest contributions to software development. 
  image:
    url: /images/dev-survey-2019/blue-planet.png
    alt: A Space Void

pdf:
  heading: Launch your mission
  paragraph:  Embark on a journey to enhance the way your team delivers software and hone your competitive edge.

categories:
  - id: global
    title: DevSecOps 2019
    subtitle: Mission Improvement
    image:
      url: /images/dev-survey-2019/world-map-region-results.png
      alt: World Map
    buttonBackgroundColor: '#a6009c'
    buttonTextColor: 'white'
    planetGradient: 'linear-gradient(to right, #322f5b, #9d9dce)'
    keypoints: 
      - text: 'The overall mission objective for all software professionals today is improvement. When faced with the speed of innovation, teams must improve the way they deliver value to both their organizations and customers.'
      - largeText: 'Security remains a work in progress: **69%** of all respondents say that developers are expected to write secure code, yet 68% of security professionals feel that less than half of developers are able to spot security vulnerabilities (as opposed to security teams later in the process).'
      - horizontalBarChart: 
          title: 'Role'
          caption: "The majority of survey respondents have development roles. When analyzing the data, we filtered responses by role type to get an accurate look at how development, security, and operations teams feel about their organizations’ processes."
          data:
            - title: 'Software Developer / Software Engineer'
              percentage: 50
            - title: 'Development/Engineering Leadership'
              percentage: 11
            - title: 'DevOps Engineer'
              percentage: 7
            - title: 'Technology Executive - CIO / CTO'
              percentage: 7
            - title: 'Software Architect'
              percentage: 6
            - title: 'Other'
              percentage: 4
            - title: 'DevOps Leadership'
              percentage: 3
            - title: 'Systems Administrator'
              percentage: 3
            - title: 'Product Manager'
              percentage: 2
            - title: 'Systems Engineer / Network Engineer'
              percentage: 1
            - title: 'Engineering Project Manager'
              percentage: 1
      - largeText: 'Nearly **two-thirds** (62%) plan to invest heavily in CI/CD in 2019, and **almost half** (45%) work at organizations that continuously deploy code.'
      - horizontalBarChart: 
          title: 'Industry'
          caption: "Unsurprisingly, the majority of survey respondents work in Computer Hardware / Services / Software / SaaS."
          data:
            - title: Computer Hardware / Services / Software / SaaS 
              percentage: 46
            - title: Business Services / Consulting 
              percentage: 8
            - title: Education 
              percentage: 7
            - title: Other
              percentage: 6
            - title: Banking / Financial Services 
              percentage: 5
            - title: Media & Entertainment 
              percentage: 5
            - title: Telecommunications 
              percentage: 4
            - title: Healthcare 
              percentage: 3

      - largeText: 'DevOps = better visibility: Developers, operations team members, and security professionals are **89%** more likely to have good insight into what their colleagues are working on when their DevOps model has been in place long term.'
      
      - image:
          url: /images/dev-survey-2019/global-office-remote-results.svg
          alt: '' 
          caption: GitLab is all-remote organization, and we’re interested in learning how remote work influences workflow and collaboration.

      - largeText: 'Remote work makes things easier: All-remote teams are **1.6x** more likely to quantify and document their work than in-office teams.'

  - id: development
    title: Development
    subtitle: Mission Acceleration
    buttonBackgroundColor: '#FF6200'
    buttonTextColor: '#151028'
    planetGradient: 'linear-gradient(to right, #FFF800 1%, #FFB200 99%)'
    keypoints: 
      - text: 'To help their organizations stay competitive in a rapidly changing market, development teams need to accelerate delivery. The primary focus in 2019 is to identify the biggest roadblocks to innovation.'
      - largeText: 'Developers are **1.4x** more likely to feel innovative if they have a mature rather than a poor DevOps maturity model.'
      - horizontalBarChart:
          title: How do developers feel about their DevOps practices?
          caption: 'Respondents were asked to rate their organization’s DevOps processes based on organization, repeatability, and scalability.'
          data:
            - title: fair 
              percentage: 33
            - title: good 
              percentage: 28
            - title: poor 
              percentage: 17
      - largeText: 'Remote can bring you closer: Developers are **23%** more likely to have good insight into what colleagues are working on when they have mostly remote teams.'
      - horizontalBarChart:
          title: Code deployment frequency
          caption: 'Continuous delivery – a cornerstone of DevOps – is an area developers see as critical. '
          data:
            - title: Continuous deployment (on demand, multiple deploys per day)
              percentage: 43
            - title: Between once per day and once per month 
              percentage: 41
            - title: Between once per month and once every 6 months 
              percentage: 13
            - title: Don’t know 
              percentage: 3 
      - largeText: 'CD = better insight: Organizations that continuously deploy have Project/Product Managers that are **25% more likely** to have a good sense of developer capacity during the planning stages, compared with organizations that deploy between once per month and once every 6 months.'
      - horizontalBarChart:
          title: Most used CI and build tools
          caption: "We’re excited, but it’s important to note that 60% of survey respondents are GitLab users."
          data:
            - title: GitLab 
              percentage: 61
            - title: Jenkins 
              percentage: 36
            - title: Travis CI 
              percentage: 12
            - title: Don’t use CI or build tools 
              percentage: 10
      - largeText: 'DevOps makes a difference: A full **88% of developers** who work at organizations with “immature” DevOps don’t feel that their development processes are designed to help them succeed.'

  - id: security
    title: Security 
    subtitle: Mission Readiness
    buttonBackgroundColor: '#DE3BED'
    buttonTextColor: '#151028'
    planetGradient: 'linear-gradient(to right, #F7420A 3%, #670077 98%)'
    keypoints: 
      - text: 'When it comes to security, everyone is ready for more. But because security is a complicated and multi-layer endeavor, involving an entire organization, solutions are often complex and piecemeal and, as such, they can be elusive. '
      - largeText: 'They know it’s important, but **55%** of security professionals who stated that security vulnerabilities are a performance metric for developers also said it was difficult to get development teams to prioritize remediation of vulnerabilities.'
      - horizontalBarChart:
          title: How do security professionals rank their security practices?
          caption: 'Respondents were asked to rate their organization’s security processes based on organization, repeatability, and scalability.'
          data:
            - title: fair
              percentage: 36
            - title: poor
              percentage: 24
            - title: good
              percentage: 20
      - largeText: 'If the DevOps practice is mature, teams are **3x** more likely to discover most security vulnerabilities before code is merged and in a test environment.'
      - horizontalBarChart:
          title: How do you automate application security testing within your software development pipeline?
          caption: 'Automation is critical to successful application security testing.'
          data:
            - title: 'Security testing results are included in the pipeline report used by developers'
              percentage: 34
            - title: 'CI/CD automatically kicks off SAST scan'
              percentage: 33
            - title: 'Developers use spell-check-like function for lite scan as they code'
              percentage: 27
            - title: 'Don’t know'
              percentage: 25
            - title: 'CI/CD automatically kicks off DAST and/or IAST scan'
              percentage: 20
      - largeText: 'Poor DevOps adoption is a problem: Security professionals are **2.6x** more likely to encounter red tape that slows efforts to quickly fix vulnerabilities at organizations struggling to implement DevOps.'
      - horizontalBarChart:
          title: Application security methods
          caption: Survey respondents use a variety of application security methods to identify problems.
          data: 
            - title: Dependency scanning
              percentage: 56
            - title: Cloud security
              percentage: 42
            - title: Container security
              percentage: 41
            - title: SAST
              percentage: 35
            - title: License compliance
              percentage: 29
            - title: DAST
              percentage: 22
      - largeText: 'Mostly remote teams are **1.6x** more likely to have more mature security practices than mostly in-office teams.'
  - id: operations
    title: Operations 
    subtitle: Mission Clarity
    buttonBackgroundColor: '#00FFE8'
    buttonTextColor: '#151028'
    planetGradient: 'linear-gradient(to right, #00FF3F 0%, #00FFE8 100%)'
    keypoints: 
      - text: 'For operations teams, having more defined processes and workflows helps keep releases on track. The primary focus for ops teams in 2019 is to bring transparency to processes. '
      - largeText: 'Teams with a well-developed DevOps model are **58%** more likely to have good insight into what colleagues on other teams are working on.'
      - horizontalBarChart:
          title: Top development methodologies
          caption: 'Survey respondents <3 DevOps, but we know these findings are a bit aspirational compared to the industry.'
          data:
          - title: DevOps 
            percentage: 70
          - title: Scrum 
            percentage: 61
          - title: Kanban 
            percentage: 43
          - title: Other Agile (e.g. Extreme Programming) 
            percentage: 18
      - largeText: All-remote teams are **1.6x** more likely to quantify and document their work than in-office teams.
      - horizontalBarChart:
          title: How do operations professionals rank their DevOps practices?
          caption: 'Respondents were asked to rate their organization’s DevOps processes based on organization, repeatability, and scalability.'
          data:
            - title: fair 
              percentage: 33
            - title: good 
              percentage: 34
            - title: poor 
              percentage: 16
      - largeText: A very poor DevOps implementation leaves organizations **2.5x** more likely to encounter the most delays during the Planning stage.
      - horizontalBarChart:
          title: Top tools for monitoring 
          caption: 'It takes a variety of solutions to manage operations, and teams must select the right tools.'
          data:
            - title: Grafana 
              percentage: 42
            - title: Nagios 
              percentage: 30
            - title: Kibana 
              percentage: 30
            - title: Prometheus 
              percentage: 29
      - largeText: 'All-remote operations professionals are **2.6x** more likely to be given sufficient notice to support developers compared to their in-office peers.'